## python-sushy 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
python-dateutil>=2.7.0 # BSD
stevedore>=1.29.0 # Apache-2.0

## python-sushy 1.3.1

=== debian/changelog ===
python-sushy (1.3.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * Removed Python 2 support, not needed anymore in Debian.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Oct 2018 11:19:49 +0200

python-sushy (1.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:36 +0000

python-sushy (1.3.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 20:52:04 +0000

python-sushy (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #879968)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Oct 2017 20:11:38 +0200

=== debian/control ===
Source: python-sushy
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python3-coverage,
 python3-hacking,
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslotest (>= 1:3.2.0),
 python3-requests (>= 2.14.2),
 python3-six,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
Homepage: https://docs.openstack.org/sushy

Package: python-sushy-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: small library to communicate with Redfish based systems - doc
 Sushy is a Python library to communicate with Redfish based systems. The goal
 of the library is to be extremely simple, small, have as few dependencies as
 possible and be very conservative when dealing with BMCs by issuing just
 enough requests to it (BMCs are very flaky).
 .
 Therefore, the scope of the library has been limited to what is supported by
 the OpenStack Ironic project. As the project grows and more features from
 Redfish are needed Sushy will expand to fulfil those requirements.
 .
 This package contains the documentation.

Package: python3-sushy
Architecture: all
Depends:
 python3-pbr (>= 2.0.0),
 python3-requests (>= 2.14.2),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-sushy-doc,
Description: small library to communicate with Redfish based systems - Python 3.x
 Sushy is a Python library to communicate with Redfish based systems. The goal
 of the library is to be extremely simple, small, have as few dependencies as
 possible and be very conservative when dealing with BMCs by issuing just
 enough requests to it (BMCs are very flaky).
 .
 Therefore, the scope of the library has been limited to what is supported by
 the OpenStack Ironic project. As the project grows and more features from
 Redfish are needed Sushy will expand to fulfil those requirements.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/sushy.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-sushy-doc/usr/share/doc/python-sushy-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-sushy 1.8.1

=== debian/changelog ===
python-sushy (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:39:40 +0200

python-sushy (1.8.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.3.0 (no change).
  * Running unit tests with installed Python module.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 13:36:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,22 +8,24 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx (>= 1.6.2),
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
+ python3-dateutil,
  python3-hacking,
- python3-openstackdocstheme (>= 1.17.0),
- python3-oslotest (>= 1:3.2.0),
- python3-requests (>= 2.14.2),
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-requests,
  python3-six,
+ python3-stestr,
+ python3-stevedore,
  python3-testscenarios,
- python3-testtools (>= 2.2.0),
+ python3-testtools,
  subunit,
- testrepository,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
 Homepage: https://docs.openstack.org/sushy

## python-sushy 2.0.0

=== debian/changelog ===
python-sushy (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:25:40 +0200

python-sushy (2.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Sep 2019 15:00:16 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -25,7 +25,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
 Homepage: https://docs.openstack.org/sushy

## python-sushy 3.4.1

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,5 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT
 python-dateutil>=2.7.0 # BSD
 stevedore>=1.29.0 # Apache-2.0

=== debian/changelog ===
python-sushy (3.4.1-2) unstable; urgency=medium

  * Fixed debian/watch.
  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:13:39 +0200

python-sushy (3.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed taskservice/__init__.py hack since after my report, this was fixed
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Sep 2020 08:30:40 +0200

python-sushy (3.4.0-2) experimental; urgency=medium

  * Add missing sushy/resources/taskservice/__init__.py so that the package
    also contains the missing files in Python 3.7.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Sep 2020 11:28:09 +0200

python-sushy (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 08:40:48 +0200

python-sushy (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:47:55 +0200

python-sushy (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed -six from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:57:07 +0200

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,9 @@
  python3-openstackdocstheme,
  python3-oslotest,
  python3-requests,
- python3-six,
  python3-stestr,
  python3-stevedore,
- python3-testscenarios,
- python3-testtools,
+ python3-sphinxcontrib.apidoc,
  subunit,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
@@ -53,7 +51,6 @@
 Depends:
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,15 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	for i in $(PYTHON3S) ; do \
+		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
+	done
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
+endif
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
-endif
+	echo "Do nothing..."
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/sushy/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-sushy 3.4.5

=== debian/changelog ===
python-sushy (3.4.5-1~bpo11+1) UNRELEASED; urgency=medium

  [ Michal Arbet ]
  * New upstream version

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Mon, 31 Jan 2022 10:48:45 +0000

## python-sushy 3.7.0

=== debian/changelog ===
python-sushy (3.7.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 23 Mar 2021 01:02:21 +0000

python-sushy (3.7.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:55:35 -0400

python-sushy (3.5.0-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 12:00:32 +0000

python-sushy (3.4.1-0ubuntu1) groovy; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2020 16:25:40 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-sushy
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -19,13 +20,15 @@
  python3-openstackdocstheme,
  python3-oslotest,
  python3-requests,
+ python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-stevedore,
- python3-sphinxcontrib.apidoc,
+ python3-testscenarios,
+ python3-testtools,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
 Homepage: https://docs.openstack.org/sushy
 
 Package: python-sushy-doc
@@ -49,8 +52,10 @@
 Package: python3-sushy
 Architecture: all
 Depends:
+ python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.29.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-sushy 3.7.6

=== debian/changelog ===
python-sushy (3.7.6-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Mon, 28 Jul 2025 09:28:08 +0000

python-sushy (3.7.3-1) unstable; urgency=medium

  * New upstream version.

 -- Michal Arbet <michal.arbet@ultimum.io>  Sun, 29 Aug 2021 13:44:38 +0200

python-sushy (3.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:43:15 +0200

python-sushy (3.7.2-1) experimental; urgency=medium

  * New upstream version
  * d/copyright: Add me to copyright file
  * d/control: Add me to uploaders field

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 12:59:00 +0200

python-sushy (3.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 16:34:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-sushy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
@@ -20,15 +20,13 @@
  python3-openstackdocstheme,
  python3-oslotest,
  python3-requests,
- python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-stevedore,
- python3-testscenarios,
- python3-testtools,
+ python3-sphinxcontrib.apidoc,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
 Homepage: https://docs.openstack.org/sushy
 
 Package: python-sushy-doc
@@ -52,10 +50,8 @@
 Package: python3-sushy
 Architecture: all
 Depends:
- python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-stevedore (>= 1:1.29.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-sushy 3.12.0

=== debian/changelog ===
python-sushy (3.12.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 07 Sep 2021 21:43:39 +0000

python-sushy (3.12.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 15:45:39 -0400

python-sushy (3.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:44:45 -0400

python-sushy (3.9.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 10:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,34 @@
 Source: python-sushy
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-coverage,
- python3-dateutil,
+ python3-dateutil (>= 2.7.0),
  python3-hacking,
- python3-openstackdocstheme,
- python3-oslotest,
- python3-requests,
- python3-stestr,
- python3-stevedore,
- python3-sphinxcontrib.apidoc,
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-oslotest (>= 1:3.2.0),
+ python3-requests (>= 2.14.2),
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
+ python3-stestr (>= 2.0.0),
+ python3-stevedore (>= 1:1.29.0),
+ python3-testscenarios,
+ python3-testtools,
  subunit,
 Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
-Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
 Homepage: https://docs.openstack.org/sushy
 
 Package: python-sushy-doc
@@ -50,8 +52,10 @@
 Package: python3-sushy
 Architecture: all
 Depends:
+ python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
+ python3-stevedore (>= 1:1.29.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-sushy 3.12.6

=== debian/changelog ===
python-sushy (3.12.6-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:18:29 +0000

python-sushy (3.12.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:43:36 +0200

python-sushy (3.12.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Aug 2021 15:38:28 +0200

python-sushy (3.11.1-1) experimental; urgency=medium

  [ Mickael Asseline ]
  * New upstream release.
  * Added myself in copyright and uploaders.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 15:14:44 +0200

## python-sushy 4.0.0

=== debian/changelog ===
python-sushy (4.0.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:11:31 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-sushy 4.1.7

=== debian/changelog ===
python-sushy (4.1.7-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 11:15:57 +0000

python-sushy (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:56:22 +0100

python-sushy (4.1.0-2) experimental; urgency=medium

  * Add missing sushy/resources/system/network/__init__.py.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Mar 2022 12:55:45 +0100

python-sushy (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 10:02:36 +0100

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	echo "Do nothing..."
 
 override_dh_auto_install:
+	touch sushy/resources/system/network/__init__.py
 	for i in $(PYTHON3S) ; do \
 		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done

## python-sushy 4.3.0

=== debian/changelog ===
python-sushy (4.3.0-0ubuntu1~cloud0) jammy-zed; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 09 Sep 2022 02:17:24 +0000

python-sushy (4.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:42:49 -0400

python-sushy (4.2.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:47:19 -0400

## python-sushy 4.3.3

=== debian/changelog ===
python-sushy (4.3.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Feb 2023 15:19:14 +0100

python-sushy (4.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 09:11:33 +0100

python-sushy (4.3.0-3) unstable; urgency=medium

  * Add py3.11-Handle-proper-code_status-in-unit-test.patch (Closes: #1025124).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 12:03:56 +0100

python-sushy (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:13:14 +0200

python-sushy (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 15:07:59 +0200

## python-sushy 4.4.2

=== debian/changelog ===
python-sushy (4.4.2-3) unstable; urgency=medium

  * Cleans better (Closes: #1045272).

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Aug 2023 10:45:37 +0200

python-sushy (4.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 10:50:53 +0200

python-sushy (4.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed py3.11-Handle-proper-code_status-in-unit-test.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:35:57 +0100

## python-sushy 4.4.3

=== debian/changelog ===
python-sushy (4.4.3-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 02 Oct 2025 10:04:40 +0000

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 
 override_dh_auto_clean:
 	echo "Do nothing..."
+	find .  -type d -name __pycache__ -exec rm -r {} \+
+	rm -rf doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."

## python-sushy 4.5.1

=== debian/changelog ===
python-sushy (4.5.1-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 31 Aug 2023 21:39:37 +0000

python-sushy (4.5.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:59:42 -0400

python-sushy (4.5.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:06:51 -0400

python-sushy (4.4.2-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:29:26 -0500

python-sushy (4.4.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Dec 2022 14:34:54 -0500

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,7 @@
  python3-testscenarios,
  python3-testtools,
  subunit,
-Standards-Version: 4.4.1
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
+Standards-Version: 4.6.1
 Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
 Homepage: https://docs.openstack.org/sushy

## python-sushy 4.5.2

=== debian/changelog ===
python-sushy (4.5.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Thu, 02 Oct 2025 08:56:00 +0000

python-sushy (4.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:19:07 +0200

python-sushy (4.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans even better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 09:47:12 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
 	find .  -type d -name __pycache__ -exec rm -r {} \+
-	rm -rf doc/source/reference/api
+	rm -rf build .stestr *.egg-info doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -31,7 +30,3 @@
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-sushy-doc/usr/share/doc/python-sushy-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
-
-override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
-	rm -rf build

## python-sushy 4.8.0

=== debian/changelog ===
python-sushy (4.8.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 14:01:57 +0000

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/sushy.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=sushy

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-sushy-doc/usr/share/doc/python-sushy-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sushy/sushy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sushy 5.0.1

=== debian/changelog ===
python-sushy (5.0.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 11:03:25 +0000

python-sushy (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:24:49 +0200

python-sushy (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2024 11:25:11 +0100

## python-sushy 5.2.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.

=== debian/changelog ===
python-sushy (5.2.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090622).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:27:43 +0100

python-sushy (5.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:34:24 +0200

python-sushy (5.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 13:41:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: python-sushy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
+ Michal Arbet <michal.arbet@ultimum.io>,
+ Mickael Asseline <mickael@papamica.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 2.0.0),
+ python3-sphinx,
 Build-Depends-Indep:
  python3-coverage,
- python3-dateutil (>= 2.7.0),
+ python3-dateutil,
  python3-hacking,
- python3-openstackdocstheme (>= 2.2.1),
- python3-oslotest (>= 1:3.2.0),
- python3-requests (>= 2.14.2),
- python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-stestr (>= 2.0.0),
- python3-stevedore (>= 1:1.29.0),
- python3-testscenarios,
- python3-testtools,
+ python3-openstackdocstheme,
+ python3-oslotest,
+ python3-requests,
+ python3-stestr,
+ python3-stevedore,
+ python3-sphinxcontrib.apidoc,
  subunit,
-Standards-Version: 4.6.1
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-sushy
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-sushy
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-sushy.git
 Homepage: https://docs.openstack.org/sushy
 
 Package: python-sushy-doc
@@ -51,10 +51,8 @@
 Package: python3-sushy
 Architecture: all
 Depends:
- python3-dateutil (>= 2.7.0),
  python3-pbr (>= 2.0.0),
  python3-requests (>= 2.14.2),
- python3-stevedore (>= 1:1.29.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-sushy 5.2.1

=== debian/changelog ===
python-sushy (5.2.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Mon, 14 Apr 2025 07:35:46 +0000

## python-sushy 5.2.2

=== debian/changelog ===
python-sushy (5.2.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:22:58 +0000

python-sushy (5.2.1-1) UNRELEASED; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2025 09:34:48 +0200

## python-sushy 5.4.0

=== debian/changelog ===
python-sushy (5.4.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:16:48 +0000

python-sushy (5.2.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:37:53 +0100

## python-sushy 5.5.0

=== doc/requirements.txt ===
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD

=== debian/changelog ===
python-sushy (5.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:51:25 +0100

python-sushy (5.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 09:33:26 +0100

python-sushy (5.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Feb 2025 14:08:35 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 6.0.0),
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
@@ -51,7 +51,7 @@
 Package: python3-sushy
 Architecture: all
 Depends:
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 6.0.0),
  python3-requests (>= 2.14.2),
  ${misc:Depends},
  ${python3:Depends},

## python-sushy 5.7.0

=== debian/changelog ===
python-sushy (5.7.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/control: Align (Build-)Depends with upstream.
  * d/watch: Change tarball source from pypi to opendev.tarballs.org.
  * d/watch: Modify regex to correctly identify opendev versioning.
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 09:29:39 -0400

python-sushy (5.5.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:56:19 +0000

## python-sushy 5.7.1

=== requirements.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-pbr!=2.1.0,>=2.0.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 requests>=2.14.2 # Apache-2.0
 python-dateutil>=2.7.0 # BSD
 stevedore>=1.29.0 # Apache-2.0

=== debian/changelog ===
python-sushy (5.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 09:40:05 +0200

python-sushy (5.7.1-1) experimental; urgency=medium

  * New upstream release.
  * Note this version replaces python3-sushy-oem-idrac (code from there has
    been merged).

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Sep 2025 14:48:15 +0200

=== debian/control ===
--- 
+++ 
@@ -55,6 +55,10 @@
  python3-requests (>= 2.14.2),
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-sushy-oem-idrac,
+Replaces:
+ python3-sushy-oem-idrac,
 Suggests:
  python-sushy-doc,
 Description: small library to communicate with Redfish based systems - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,18 @@
 UPSTREAM_GIT := https://github.com/openstack/sushy.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export PYBUILD_NAME=sushy
-
 %:
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	find .  -type d -name __pycache__ -exec rm -r {} \+
+	rm -rf build .stestr *.egg-info doc/source/reference/api
 
 override_dh_auto_build:
 	echo "Do nothing..."
 
 override_dh_auto_install:
+	touch sushy/resources/system/network/__init__.py
 	for i in $(PYTHON3S) ; do \
 		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
 	done
@@ -30,7 +30,3 @@
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-sushy-doc/usr/share/doc/python-sushy-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif
-
-override_dh_clean:
-	dh_clean -O--buildsystem=pybuild
-	rm -rf build

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/sushy refs/tags/(\d[brc\d\.]+)

## python-sushy 5.9.0

=== debian/changelog ===
python-sushy (5.9.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * New upstream version 5.9.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 15:50:10 -0800

python-sushy (5.7.1-0ubuntu2) questing; urgency=medium

  * d/rules: Exclude tests for sushy-oem-idrac due to package being
    unmaintained with many failing unit test blocking the build of sushy.
    (LP: #2126697).

 -- Myles Penner <myles.penner@canonical.com>  Mon, 06 Oct 2025 11:56:15 -0400

python-sushy (5.7.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 10:32:30 -0700

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/sushy.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=sushy

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# Only run sushy’s own tests; skip sushy_oem_idrac entirely
        # sushy-oem-idrac has not been updated in over a year and 
        # has many failing unit tests (LP: #2126697)
	OS_TEST_PATH=sushy/tests/unit \
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages \
	pkgos-dh_auto_test --no-py2 --no-parallel
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source debian/python-sushy-doc/usr/share/doc/python-sushy-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://tarballs.opendev.org/openstack/sushy/sushy-([0-9]+(?:\.[0-9]+)*(?:rc[0-9]+)?)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-sushy 5.10.0

=== debian/changelog ===
python-sushy (5.10.0-1~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-gazpacho.debian.net>  Tue, 24 Feb 2026 14:56:22 +0000

python-sushy (5.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:51:56 +0100

python-sushy (5.7.1-3) unstable; urgency=medium

  * Clean-up .pybuild folder (Closes: #1045272).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Feb 2026 23:26:31 +0100
